#include "imagemanager.h"

#include <QDebug>

ImageManager::ImageManager(QObject *parent) : QObject(parent),
    screens(new QList<QImage>),
    imagesCount(0),
    imagesFolder("C://Documents/")
{

}

void ImageManager::get(QVariant image)
{
//    Q_UNUSED(image)
    QImage tmpImg = qvariant_cast<QImage>(image);
    screens.get()->push_back(tmpImg);
}

void ImageManager::saveAll() const
{
    int counter = 0;
    for(int i = 0; i < screens.get()->count(); ++i){
        screens.get()->at(i).save(imagesFolder + QString("%1.png").arg(counter++));
    }
}
